/*
 *========================================================================
 *
 *   시스템명 : AZN_PLAZA_LANE APP
 *   파 일 명 : iis_func.h
 *   작 성 자 : JBY
 *   작 성 일 : 2018.07.13
 *   수 정 일 :
 *   설    명 : IIS Function List
 *
 *========================================================================
*/
#include "msg_que.h"

/* app_mngt.c Function List */
void Usage(char *prog);
void iisAbort(char *s);
void iis_start();
void iis_init();
void iis_shutdown();
void SIG_usr1();
void SIG_term();
void SIG_pipe();
void SIG_cld();

/* common.c Function List */
char *get_current_time(char *time_buf);
char *get_gmt(char *time_buf,int size);
char *conv_localtime(time_t raw_time);
char *conv_localtime_ymd(time_t raw_time);
char *conv_localtime_hms(time_t raw_time);
char *get_current_time_sec();
char *conv_localtime2(time_t raw_time, int n);
char *conv_localtime3(time_t raw_time, char *time_buf);
time_t get_dsnt_time(char *dsnt_buf);
int get_week();
int open_log_file();
void close_log_file();
int LOGGING(char *str);
void log_write_stderr(char *str);
void proc_log(char *str, ...);

/* get_ini_info.c Function List */
char *get_ini(char *fname, char *sName, char *vname);

/* init_mngt.c Function List */
//void sigAlarm(int sig);
//void SIG_term(int sig);
void read_task_tab();
void start_task();
int get_tid(int pid);
void *proc_thread(void *data);
int spawn(int tid, int itval);
//void SIG_cld();

/* msg_que.c Function List */
int make_msg_que();
int remove_msg_que();
int attach_msg_que(int tid);
int num_msg_que(int qid);
int recv_que_nowait(int tid, MSGQ_STDEF *rq);
int send_que_nowait(int tid, MSGQ_STDEF *rq, int len);

/* proc.c Function List */
int srv_exec(char *cmd, char *env);
int my_daemon();
void process_lock();
void process_unlock();
int read_pid();
void write_pid(int pid);

/* task_info.c Function List */
void inti_task(int tid);
void quit_task(int tid);
